Page MenuHomePhabricator

Endterm evaluation for "List of contributors"
Closed, ResolvedPublic

Description

GSoC 2016 program enters into its final week soon. All interns should have discussed with their mentors by now on how to submit their work for evaluation as per - https://developers.google.com/open-source/gsoc/help/work-product

Copying from the above link:

Submission

As part of the final evaluation, all participating students must provide a link to the work they have done for the program. Failure to do so properly, may result in failing the program. There are several different ways to do this, so please read this document carefully.

These links will be published on the public project list. They help demonstrate the work that was done during the program. They are also a great way for you to refer back to your work for future employers.

In brief: The target of the link should contain a short description of what work was done, what code got merged, what code didn't get merged, and what's left to do.

Requirements

  • It must be easy to identify the work you have done. (i.e. the changes you made or new code.)
  • When someone goes to the provided URL it should be crystal clear what work you did without requiring them to do signifcant additional digging.
  • It should be in a stable location. It cannot be changed after submission.
  • Someone else should be able to use the content at (or referenced from) the target of the link to extend your work.
  • If your work is 100% complete, they should be able to use it.
  • If your work is not 100% complete, it should be clear what's left to do.

Mentors

Please help your student do a proper code submission. It's important to do this before the evaluation period.

Check that…

  • The submission meets the requirements above.
  • The code compiles.
  • There's documentation of what and why.

Important Dates

August 15 19:00 UTC: Student Final Evaluation (of mentor) period starts.
August 20 19:00 UTC: Deadline for submission for payment information by OA’s
August 23 19:00 UTC: Deadline for Student Final Evaluation (of mentor) submission.
August 23 19:01 UTC: Mentor Final Evaluation (of student) period starts.
August 25 19:00 UTC: Deadline for updating shipping address.
August 29 19:00 UTC: Deadline for submission of Mentor Final Evaluation of (student).

Link

  • Link for the work done as per above requirements -

https://docs.google.com/document/d/1GD36m1zQtvYYmX6d0J8c_4bUkWqihHjfsQG1-qhqBYw/pub

Event Timeline

Sumit created this task.Aug 20 2016, 9:15 PM
Sumit added a comment.Aug 22 2016, 5:25 PM

@Devirk , please submit your evaluation before Aug 24th at https://summerofcode.withgoogle.com

Sumit added a comment.Aug 26 2016, 1:25 PM

@Devirk please paste your link here for reference.

Sumit reassigned this task from Devirk to Addshore.Aug 26 2016, 1:27 PM

Hello mentors, please remember to complete the end term evaluation before 29th August, 19:00 UTC.

Sumit updated the task description. (Show Details)Aug 26 2016, 1:29 PM
Sumit updated the task description. (Show Details)Aug 26 2016, 1:31 PM
Devirk updated the task description. (Show Details)Aug 27 2016, 7:13 PM

@Sumit Sorry for the late reply! I've provided the link for my final report!

Resolving as done, as per the submission in g.co/gsoc

01tonythomas closed this task as Resolved.Aug 29 2016, 5:55 PM

Link for the work done as per above requirements -
https://docs.google.com/document/d/1GD36m1zQtvYYmX6d0J8c_4bUkWqihHjfsQG1-qhqBYw/pub

Gdocs is not suitable storage, please copy to a wiki or other archived/archivable web page.

Link for the work done as per above requirements -
https://docs.google.com/document/d/1GD36m1zQtvYYmX6d0J8c_4bUkWqihHjfsQG1-qhqBYw/pub

Gdocs is not suitable storage, please copy to a wiki or other archived/archivable web page.

@Devirk - Please copy over the work to a Phabricator ticket for your final report (should be a subtask of T120738: List of content contributors)

Restricted Application added a project: User-Addshore. · View Herald TranscriptFri, Sep 20, 7:47 PM